import clsx from 'clsx';
import Heading from '@theme/Heading';
import styles from './styles.module.css';

const FeatureList = [
  {
    title: 'What is it?',
    Svg: require('@site/static/img/homepage/undraw_docusaurus_mountain.svg').default,
    description: (
      <>
        Docusaurus was designed from the ground up to be easily installed and
        used to get your website up and running quickly.
      </>
    ),
  },
  {
    title: 'Who is using it?',
    Svg: require('@site/static/img/homepage/undraw_docusaurus_tree.svg').default,
    description: (
      <>
        Docusaurus lets you focus on your docs, and we&apos;ll do the chores. Go
        ahead and move your docs into the <code>docs</code> directory.
      </>
    ),
  },
  {
    title: 'Who is behind it?',
    Svg: require('@site/static/img/homepage/undraw_docusaurus_react.svg').default,
    description: (
      <>
        Extend or customize your website layout by reusing React. Docusaurus can
        be extended while reusing the same header and footer.
      </>
    ),
  },
];

function Feature({Svg, title, description}) {
  return (
    <div className={clsx('col col--3')}>
        <div className="text--center">
            <Svg className={styles.featureSvg} role="img"/>
            <div className="text--center">
                <Heading as="h3">{title}</Heading>
                <p>{description}</p>
            </div>
        </div>
    </div>
  );
}

export default function HomepageFeatures() {
    return (
        <section className={styles.features}>
            <div className="container">
        <div>
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
